Subject: Re: bug#22392: 25.0.50; NS Emacs run from OS X GUI doesn't set locale

From: Eli Zaretskii <[email-masked]>
Date: Tue, 19 Jan 2016 17:55:53 +0200

> From: Alan Third <[email-masked]>
> Date: Mon, 18 Jan 2016 23:11:43 +0000
> Cc: [email-masked]
> 
> Possibly. I believe there's a way to extract a list of preferred
> languages from OS X which are separate from the selected locale. That
> may be a better way? Although, thinking about it, languages don't
> necessarily map to encodings either.

They do in Emacs, see locale-language-names in mule-cmds.el.